<html>
    <head>
        <title>HTML5 Validation</title>
    </head>
    <body>
        <h1>Регистрационная анкета</h1>
        <form action="" method="POST">
            Имя:<input type=text autofocus id="name" name="name">
            Почта: <input type="email" id="email" name="email" required placeholder="test@mail.ru">
            Сайт: <input type="url" id="website" name="website" placeholder="http://testurl.com">
            <abbr title="Цифра и три буквы латинского алфавита">Идентификатор:</abbr> <input type="text" id="ID" required name="ID" pattern="[0-9][A-Z]{3}" placeholder="1ABC">
            Страна: <input list="Countries"placeholder="Country Name"><datalist id="Countries"><option value="Россия"><option value="Казахстан"><option value="Украина">
                <option value="Белоруссия"><option value="Латвия"></datalist>
            <abbr title= "Число от 18 до 75">Возраст:</abbr><input type="number" id="Age" name="Age" required min="18" max="75">
            Любимый цвет: <input type="color"id="Color" name="Color">
            Дата рождения: <input type="date" id="Date" name="Date">
            Неделя: <input type="week" id="Week" name="Week">
            Месяц: <input type="month" id="Month" name="Month">
            Время: <input type="time" id="Time" name="Time">
            Дата и время: <input type="datetime-local" id="DateTime" name="DateTime">
        </form>
    </body>
</html>